Subject: Re: iproute2 action/policer question

From: Jarek Poplawski <[email-masked]>
Date: Wed, 17 Jun 2009 06:28:46 +0000

On Wed, Jun 17, 2009 at 06:14:58AM +0000, Jarek Poplawski wrote:
> On Tue, Jun 16, 2009 at 08:04:32AM -0400, jamal wrote:
> > On Mon, 2009-06-15 at 16:52 +0200, Jarek Poplawski wrote:
> > 
> > > I've tried debian squeeze (testing) with: iptables v1.4.3.2, iproute2
> > > -ss090324, and action ipt -j MARK doesn't work. AFAIK debian lenny
> > > (stable) uses 1.4.2. I've also tried debian rescue probably based on
> > > lenny (with iptables 1.4.2), and it seemed it didn't work yet (I'll
> > > re-check this). When you have something new I'd be glad for Cc.
> > 
> > I am suprised it broke again. 
> > Lets CC the debian iproute maintainer. 
> 
> I confirm I can't get 'action ipt -j MARK' working on debian lenny
> (stable) with distro's iptables/tc. I'm not able to compile tc from
> vanilla sources properly either - configure fails 3 IPT tests. (I
> admit I can miss setting some (undocumented?) config variables.) So,
> with or without debian, IMHO iproute2 needs some updates for iptables
> 1.4.2, 1.4.3, and maybe even 1.4.4 now.

OOPS! I _can_ configure it for 1.4.2 yet (so it's only about >= 1.4.3).

Sorry,
Jarek P.